#version 330

uniform samplerCube cubemap;

in vec3 fragmentReflection;

layout(location = 0, index = 0) out vec4 fragColor;

void main(void)
{
    vec4 environmentColor = texture(cubemap, fragmentReflection);

    fragColor = environmentColor;
}
